/* ============================== */
/* Guest Counter */
/* ============================== */

/* Elementor HTML widget fix */
.elementor-widget-html,
.elementor-widget-html .elementor-widget-container {
  width: 100% !important;
  max-width: 100% !important;
  display: block !important;
}

/* Guest Counter */
.sp-guest-counter {
  display: flex;
  width: 100%;
  height: 42px;

  border: 1px solid var(--black);
  overflow: hidden;
}

/* Buttons */
.sp-guest-btn {
  width: 42px;
  flex: 0 0 42px;
  
  color: var(--black) !important;
  font-weight: normal !important;
  background: none !important;
  font-size: 20px;
  cursor: pointer;
  border:none;

  padding: 0;
  margin: 0;
  box-shadow: none !important;
}

.sp-guest-btn:hover {
	background: var(--black-shade) !important;
}

/* Input wrapper */
.sp-guest-input-wrap {
  flex: 1;
  min-width: 0;
  display: flex;
  align-items: center;
}

/* Input */
.sp-guest-input {
  width: 100%;
  border: none !important;
  background: var(--white);

  text-align: center;
  font-size: 16px;

  padding: 0;
  margin: 0;
  box-shadow: none !important;
  outline: none;
}

/* Dividers */
.sp-guest-btn.minus { border-right: 1px solid var(--black); }
.sp-guest-btn.plus  { border-left: 1px solid var(--black); }

/* ============================== */
/* Date Controls */
/* ============================== */

.sp-date-picker-wrap {
  display: flex;
  flex-direction: column;
  gap: 10px;
  max-width: 300px;
}

.sp-date-picker-wrap input {
  font-size:18px !important;
  border: 1px solid var(--black-shade);
  border-radius:0 !important;
  text-align: center !important;	
}

.sp-guest-input-wrap input {
  border-radius:0 !important;
}